Skip to main content
PATCH
/
api
/
v1
/
api-keys
/
{id}
Update API key
curl --request PATCH \
  --url https://api.devhelm.io/api/v1/api-keys/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "id": 123,
    "name": "<string>",
    "key": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "revokedAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
integer<int32>
required

Body

application/json
name
string
required

New name for this API key

Maximum string length: 200

Response

OK

data
object
required

API key for programmatic access to the DevHelm API